# DMCompositeGetEntries

Gets the DA, redundant size, etc for each entry in a DMComposite.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCompositeGetEntries(DMComposite packer,...)

Collective on DMComposite

### Input Parameter

packer -the packer object

### Output Parameter

... -the individual entries, DAs or integer sizes)

### See Also

DMCompositeDestroy(), DMCompositeAddArray(), DMCompositeAddDA(), DMCompositeCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetGlobalIndices(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors()

Level:advanced
Location: src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex34f90.F.html
src/snes/examples/tutorials/ex35f90.F90.html
src/snes/examples/tutorials/ex36f90.F90.html
src/snes/examples/tutorials/ex37f90.F90.html